from core.database.db_context import DBContext


class Database:
    _db = None

    @classmethod
    def init(
        cls,
        db: DBContext,
    ):
        cls._db: DBContext = db

    @classmethod
    def connect(cls):
        cls._db.connect()
